%define tarball_name    endeavour
%define name	        endeavour2
%define version	        2.5.3
%define release	        1.norlug

Name:		    %name
Version:	    %version
Release:	    %release
Summary:	    Graphical file manager for X11
Group:		    X11/Applications
License:	    GPL
URL: 		    http://wolfpack.twu.net/Endeavour2
Source0: 	    ftp://wolfpack.twu.net/users/wolfpack/%{tarball_name}-%{version}.tar.bz2
Source1:        %{tarball_name}-16.png.bz2
Source2:        %{tarball_name}-32.png.bz2
Source3:        %{tarball_name}-48.png.bz2
BuildRequires:	XFree86-devel gtk+-devel imlib-devel
BuildRoot:	    %_tmppath/%name-buildroot
Obsoletes:      endeavour
Conflicts:      endeavour

%description
Endeavour Mark II is a file browser with management support for all
types of disk objects.
It is a complete rewrite from the original Endeavour, many features from the
existing version have been reworked and lots of new features have been added.
New features include:

    - Interapplication drag and drop
    - Recycled objects caching system
    - Device mounting and statistic charting
    - Integrated MIME Types system.

%prep
rm -rf %buildroot
%setup -q -n %{tarball_name}-%{version}
bzcat %{SOURCE1} > %{tarball_name}-16.png
bzcat %{SOURCE2} > %{tarball_name}-32.png
bzcat %{SOURCE3} > %{tarball_name}-48.png

%build
export CFLAGS="%optflags"
./configure Linux -v --disable=arch-i686
make all

%install
make PREFIX=%buildroot%_prefix MAN_DIR=%buildroot%_mandir/man1 install
install -D -m 644 %{tarball_name}-16.png %{buildroot}/%{_datadir}/pixmaps/%{tarball_name}-16.png
install -D -m 644 %{tarball_name}-32.png %{buildroot}/%{_datadir}/pixmaps/%{tarball_name}-32.png 
install -D -m 644 %{tarball_name}-48.png %{buildroot}/%{_datadir}/pixmaps/%{tarball_name}-48.png 

# corrupt file. Odd.
#rm -fv %{buildroot}/%{_datadir}/%{name}/help/archiver.html

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,755)
%doc AUTHORS INSTALL README
%{_bindir}/endeavour2*
%{_libdir}/libendeavour2.so
%{_libdir}/%{name}/
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*.png

%changelog
* Sat Feb 26 2005 Chip Cuccio <chipster@norlug.org> 2.5.3-1
- updated

* Fri Feb 4 2005 Chip Cuccio <chipster@norlug.org> 2.5.2-1
- updated

* Sun Jan 16 2005 Chip Cuccio <chipster@norlug.org> 2.5.1-1
- updated

* Tue Nov 16 2004 Chip Cuccio <chipster@norlug.org> 2.4.6-5
- updated

* Sun Sep 5 2004 Chip Cuccio <chipster@norlug.org> 2.4.5-1
- updated

* Mon Jul 5 2004 Chip Cuccio <chipster@norlug.org> 2.4.4-1
- updated

* Mon Jun 7 2004 Chip Cuccio <chipster@norlug.org> 2.4.3-1
- updated

* Fri May 21 2004 Chip Cuccio <chipster@norlug.org> 2.4.2-1
- update to 2.4.2

* Sun May 9 2004 Chip Cucccio <chipster@norlug.org> 2.4.1-1
- update to 2.4.1
- happy mother's day moms!

* Mon Apr 4 2004 Chip Cuccio <chipster@norlug.org> 2.3.11-1
- initial build for RH systems

